VMTKRENDERER(1)

NAME
vmtkrenderer - vmtk script vmtkrenderer

DESCRIPTION
Automatic piping vmtkrenderer Parsing options vmtkrenderer

vmtkrenderer : renderer used to make several viewers use the same

    rendering window

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-size WindowSize (int,2); default=[1200, 900]: size of the

    rendering window in pixels

-position WindowPosition (int,2); default=[50, 50]: position of the

    rendering window (top left pixel)

-pointsmoothing PointSmoothing (bool,1); default=1: toggle

    rendering smooth points

-linesmoothing LineSmoothing (bool,1); default=1: toggle rendering

    smooth lines

-polygonsmoothing PolygonSmoothing (bool,1); default=0: toggle

    rendering smooth polygons

-annotations Annotations (bool,1); default=1: toggle rendering of

    annotations superimposed to the renderer

-background Background (float,3); default=[0.1, 0.1, 0.2]:

    background color of the rendering window

-magnification ScreenshotMagnification (int,1); default=4:

    magnification to apply to the rendering window when taking a screenshot

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o vmtkRenderer (vmtkRenderer,1): the renderer